format_version: '1.0'


repository_url: https://github.com/neomutt/neomutt
issue_url: https://github.com/neomutt/neomutt/issues/232


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: f97a4c4
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 69e46fe9cce5dea937d34c33626bcf368c8213ae
    - input_file: 'b-partial-2.diff'
      commit_sha1: 1c4089a19b282787127f5a051bd31708b84fe5ba
    - input_file: 'b-partial-3.diff'
      commit_sha1: 53b8006f962537ac07845728f4c77038ec9ad6b0
    - input_file: 'b-partial-4.diff'
      commit_sha1: 84b766c3c0515a8de64ef5722248f5bc23a4463a
    - input_file: 'b-partial-5.diff'
      commit_sha1: bfd3eb7953e8529eed111a638b7dc7224136de12
    - input_file: 'b-partial-6.diff'
      commit_sha1: 2a986a974d5d3af5bb498fab345d96d6b8a50f01
    - input_file: 'b-partial-7.diff'
      commit_sha1: 9d13e23aa3810ce976f65e961d1b7f88193e7599
    - input_file: 'b-partial-8.diff'
      commit_sha1: fe2a2dba0f73cea4b62b6e379032217e0cb431c6
    - input_file: 'b-partial-9.diff'
      commit_sha1: bc21aadac104308aa252f9b796aaef272e34c5b1
    - input_file: 'b-partial-10.diff'
      commit_sha1: af557b367b0dc1161ef002ce365b9187f4293df2
    - input_file: 'b-partial-11.diff'
      commit_sha1: 9358d5eef841044a0cb3a5692605624812db6090
    - input_file: 'b-partial-12.diff'
      commit_sha1: 2ba10824fd26d2c1b629b0b5f6eed3219ba5fa66
    - input_file: 'b-partial-13.diff'
      commit_sha1: ddc9e29ceb21376de85a4f642157e00df189eaab
    - input_file: 'b-partial-14.diff'
      commit_sha1: 5b4f8d36bc76e3ceb43e0e5a01c048d200bdcf76
    - input_file: 'b-partial-15.diff'
      commit_sha1: 6976773b2e3b1c6a51fe425debbf3641e7869f65
    - input_file: 'b-partial-16.diff'
      commit_sha1: 44270d9c70480e0adc7ac4ea6d77a2e4c9d38be5
    - input_file: 'b-partial-17.diff'
      commit_sha1: 2b48a9be06c613098f43cb0527485f0acb93cdf4
    - input_file: 'b-partial-18.diff'
      commit_sha1: ff21fe9daf68b8d1f0ed237c544b1309dd5aa721
    - input_file: 'b-partial-19.diff'
      commit_sha1: 733381c38b4f4ab2a8fab84566973fbb9912c3da
    - input_file: 'b-partial-20.diff'
      commit_sha1: 4b605d73045d1b370ba80babba54874ba5de7e5c
    - input_file: 'b-partial-21.diff'
      commit_sha1: 425edcce0b503fc6fad6318b94bf715148ac3b77
    - input_file: 'b-partial-22.diff'
      commit_sha1: 380b76b4bd1f3a8029ebe70490bc914a4fd4a579
    - input_file: 'b-partial-23.diff'
      commit_sha1: 2cc2f4701caa39fe41afcdc7711729960df4f8be
    - input_file: 'b-partial-24.diff'
      commit_sha1: f566b746271dd489d092ee6b1df937d5a5ed2b16
    - input_file: 'b-partial-25.diff'
      commit_sha1: eca1c2963c984ff445692389079baf835813abcc
    - input_file: 'b-partial-26.diff'
      commit_sha1: 835a03798e8c9065fd555a4a18689e0d338bd4b0
    - input_file: 'b-partial-27.diff'
      commit_sha1: 95304125210a6736fd4213f0948fea06fdf45b78
    - input_file: 'b-partial-28.diff'
      commit_sha1: 3b1638d986562d133be95f91ab3017a264dae350
    - input_file: 'b-partial-29.diff'
      commit_sha1: 71e2cdb71b713e2df172f492606d3631e0dc95ad
    - input_file: 'b-partial-30.diff'
      commit_sha1: 539ee07ae04264fbea824b80cc3739d91d4cec22
    - input_file: 'b-partial-31.diff'
      commit_sha1: cf2e40d1ca70a3bd7ca39ad184dc1e6fccddcb5b
    - input_file: 'b-partial-32.diff'
      commit_sha1: 8897835526eb051ab76379c0e94d4fd4d8bb19d4
    - input_file: 'b-partial-33.diff'
      commit_sha1: 5cf1cad74ab9e94356e64e42d694bcdfd61ac215
    - input_file: 'b-partial-34.diff'
      commit_sha1: 75d9d6a71fd3b0e052ced3ea30e6cd956c6dc6dd
    - input_file: 'b-partial-35.diff'
      commit_sha1: 566b26267228ef7744a56b48c0c571f462304729
    - input_file: 'b-partial-36.diff'
      commit_sha1: 7d45bffee5d9927b0f2440b19007fd74a4cfc2b9
    - input_file: 'b-partial-37.diff'
      commit_sha1: 8db7965bea0516a2f54a0e596b7d529a1d9e6212
    - input_file: 'b-partial-38.diff'
      commit_sha1: 6843609364d8e8f0c60794221306d411ea39beef
    - input_file: 'b-partial-39.diff'
      commit_sha1: 227e43d8e630485f63c7d1f81be4b73a7c4e5440
    - input_file: 'b-partial-40.diff'
      commit_sha1: 6aa8a2610dfae8c6ba42123fbd4f5662cf5d7033
    - input_file: 'b-partial-41.diff'
      commit_sha1: 61b2ba41a206aa38af41419400fb71f0bd62c298
    - input_file: 'b-partial-42.diff'
      commit_sha1: bb9efa4f23e338556d1bf5c49bed5f4b59bdea70
    - input_file: 'b-partial-43.diff'
      commit_sha1: b1c87eadedeea458dfbc273746f42d1ae748a700
    - input_file: 'b-partial-44.diff'
      commit_sha1: 2b861c235a399628b22fde4b9863598bf6630772
    - input_file: 'b-partial-45.diff'
      commit_sha1: 361086e890eb0978513039a9d8ebe27b8b3ace61
    - input_file: 'b-partial-46.diff'
      commit_sha1: 5b65705b3af46e37def56c2602c96a16cd5b7a70
    - input_file: 'b-partial-47.diff'
      commit_sha1: cb4d0e7d94712bd47b97d71acd69fd66dab52718
    - input_file: 'b-partial-48.diff'
      commit_sha1: 02a6d34f6cfaa05220378e582c1e5bb60e1db03d
    - input_file: 'b-partial-49.diff'
      commit_sha1: 879623c5b95321154c981ce9a233975f7278da23

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 4bed3e86f7ed195503f22b30c2c896d7d3cef361

options:
  language: C
